﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using wms.service;
using wms.service.IService;

namespace wms.api.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class DBInitController : ControllerBase
    {
        private readonly IDBService _dBService;
        public DBInitController(IDBService dBService)
        {
            _dBService = dBService;
        }
       
        /// <summary>
        /// 初始化时效库
        /// </summary>
        /// <returns></returns>
        [HttpGet(Name = "InitSxDB")]
        public string InitSxDB()
        {
             _dBService.InitSxDB();
            return "";
        }
     
    }
}
