﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.hj
{
    public class CreateStockOutWcsTaskRequest
    {
        /// <summary>
        /// 容器条码
        /// </summary>
        public string ContGrpBarCode { get; set; }
        /// <summary>
        /// 主盘主表ID
        /// </summary>
        public long ContGrpId { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WarehouseCode { get; set; }
        public decimal Qty { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        public string EquCode { get; set; }
        /// <summary>
        /// 业务类型
        /// </summary>
        public TaskBusType BusType { get; set; }
        public int Floor { get; set; }
        public string ProLine { get; set; }
        public string Tunnel { get; set; }
        public string CellNo { get; set; }

        public string WorkBench { get; set; }


        /// <summary> 
        /// MatCode
        /// </summary> 
        public string MatCode { get; set; }

        /// <summary> 
        /// InvBarCode
        /// </summary> 
        public string InvBarCode { get; set; }
        /// <summary> 
        /// IsFast
        /// </summary> 
        public bool IsFast { get; set; }
        /// <summary> 
        /// Grade
        /// </summary> 
        public string Grade { get; set; }
        /// <summary> 
        /// IsSurplus
        /// </summary> 
        public bool IsSurplus { get; set; }
        /// <summary> 
        /// IsRework
        /// </summary> 
        public bool IsRework { get; set; }
        /// <summary>
        /// 优先级
        /// </summary>
        public int Priority { get; set; } = 0;
    }
}
