﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.hj
{
    /// <summary>
    /// 湿拉产线领料申请请求
    /// </summary>
    public class WetLinePickMaterApplyRequest:BaseRequest
    {
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// RFID值
        /// </summary>
        public string RFID { get; set; }
        /// <summary>
        /// 快投标记
        /// </summary>
        public string IsFast { get; set; }
        /// <summary>
        /// 等级
        /// </summary>
        public string Grade { get; set; }
        /// <summary>
        /// 改手盘标记
        /// </summary>
        public string IsSurplus { get; set; }
        /// <summary>
        /// 返工标记
        /// </summary>
        public string IsRework { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
        /// <summary>
        /// 机台号
        /// </summary>
        public string WbCode { get; set; }
        /// <summary>
        /// 优先级
        /// </summary>
        public int Priority { get; set; } = 0;
    }
}
