﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request
{
    public class EsbReq:BaseRequest
    {
        public HeadersReq headers { get; set; }
        public object Body { get; set; }
    }
    public class HeadersReq
    {
        [JsonProperty("content-type")]
        public string contentType { get; set; } = "application/json;charset=utf-8";
        public string TrackId { get; set; }
        public string requestId { get; set; }
        public string sourceCode { get; set; } = "163K"; 
        public string serviceCode { get; set; } = "服务接口名称编号";
    }
    

}
