﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.share
{
    public class HJSyncMaterInfoListRequest:BaseRequest
    {
        /// <summary>
        /// 过账凭证号
        /// </summary>
        public string ReqId { get; set; }
        public List<HJSyncMaterInfoListRequestItem> ListInfo { get; set; }
    }
    public class HJSyncMaterInfoListRequestItem : BaseRequest
    {
        /// <summary>
        /// 变动类型标识(1新增2修改)
        /// </summary>
        public int UpdateType { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string MatName { get; set; }
        public string HeadTypeCode { get; set; }
        public string LeafTypeCode { get; set; }
        public string Describe { get; set; }
        public string Strength { get; set; }
        public string Plating { get; set; }
        public decimal PlatingWeight { get; set; }
        public decimal PlatingConQty { get; set; }
        public decimal Linear { get; set; }
        /// <summary>
        /// 是否启用时效
        /// </summary>
        public bool IsHold { get; set; }
        /// <summary>
        /// 时效时长
        /// </summary>
        public decimal HoldDuration { get; set; }
        public string WeightUnit { get; set; }
        public string UpdatedTime { get; set; }
    }
}
