﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.sx
{
    public class WebRequest
    {
    }
    public class ErrorTaskRequest
    {
        public string TaskNo { get; set; }
        public string WareHouse { get; set; }
    }
    public class DetailCodeStr1Requestdto
    {
        public string Code { get; set; }
        public int State { get; set; }
        public string WareHouse { get; set; }
    }
    /// <summary>
    /// 货位数据互换
    /// </summary>
    public class DataSwapCellStrRequest
    {
        /// <summary>
        /// 起始货位
        /// </summary>
        [Required(ErrorMessage = "{0} 起始货位不可为空")]
        public string StatEquip { get; set; }
        /// <summary>
        /// 目标货位
        /// </summary>
        [Required(ErrorMessage = "{0} 目标货位不可为空")]
        public string EndEquip { get; set; }
        public string WareHouse { get; set; }
    }
    public class DataBasePatchRequest
    {
        public string Code { get; set; }
        public string Cell { get; set; }
        public string WareHouse { get; set; }
        public int ContGrpType { get; set; }
        public string? BoxCode { get; set; }
    }
    public class UpdatePurchStateRequestdto
    {
        public List<long> Id { get; set; }
    }
    public class TaskRepeatRequest
    {
        public List<int> TaskNo { get; set;}
    }
    public class UpdateTaskStateRequest
    {
        public int TaskNo { get; set; }
        public TaskStatus Status { get; set; }
    }
    public class CancelPreStockinfoRequest
    {
        public List<long> Ids { get; set; }
    }
}
