﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.response.hj
{
    /// <summary>
    /// 条码信息查询响应
    /// </summary>
    public class GetBarCodeInfoResponse : SRes
    {
        public List<ResDataItems> ResData { get; set; }
    }
    public class ResDataItems
    {
        /// <summary>
        /// 满轮RFID
        /// </summary>
        public string RFID { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 生产日期
        /// </summary>
        public DateTime ProductDate { get; set; }
        /// <summary>
        /// 是否快投
        /// </summary>
        public string IsFast { get; set; }
        /// <summary>
        /// 工字轮类型
        /// </summary>
        public string SpoolType { get; set; }
        /// <summary>
        /// 产线编码
        /// </summary>
        public string ProductCode { get; set; }
        /// <summary>
        /// 订单号
        /// </summary>
        public string OrderCode { get; set; }
        /// <summary>
        /// 工序订单号
        /// </summary>
        public string WorkOrder { get; set; }
        /// <summary>
        /// 质量等级
        /// </summary>
        public string Grade { get; set; }
        /// <summary>
        /// 长度
        /// </summary>
        public decimal Length { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime UpdatedTime { get; set; }
        /// <summary>
        /// 返工标记
        /// </summary>
        public string IsRework { get; set; }

    }
}
