﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.response
{
    public class SRes
    {
        /// <summary>
        /// 返回状态码
        /// </summary>
        public int ResCode { get; set; } = 200;
        /// <summary>
        /// 返回描述信息
        /// </summary>
        public string ResMsg { get; set; } = "成功";

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo1 { get; set; }
        /// <summary>
        /// 备用
        /// </summary>
        public string Memo2 { get; set; }
        /// <summary>
        /// 备用
        /// </summary>
        public string Memo3 { get; set; }

    }
    public class SRes<T>:SRes
    {
        /// <summary>
        /// 数据实体
        /// </summary>
        public T ResData { get; set; }
        /// <summary>
        /// 数据实体列表
        /// </summary>
        public List<T> ResDataList { get; set; }
        public int PageIndex { get; set; } = 1;
        public int PageSize { get; set; } = 10;
        public int ToCount { get; set; }
        /// <summary>
        /// 页数
        /// </summary>
        public decimal PageNumber { get; set; }
    }
}
