﻿using SqlSugar;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  扭转工位信息绑定表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Base_Torchbandinfo")]
    public partial class BaseTorchbandinfo : BaseModel
    {

        /// <summary>
        /// 条码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string ContBarCode { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string TaskNo { get; set; }

        /// <summary>
        ///  扭转机台工位
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string WorkStation { get; set; }

        /// <summary>
        ///  扭转机台号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 10, IsNullable = true)]
        public string Machine { get; set; }
        /// <summary>
        ///  状态
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = true)]
        public int IsStop { get; set; }
    }
}
