﻿using SqlSugar;
using wms.dto;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  仓库表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Base_Warehouse")]
    public partial class BaseWarehouse : BaseModel
    {
        /// <summary>
        ///  是否停用
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsStop { get; set; }

        /// <summary>
        ///  编号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string Code { get; set; }

        /// <summary>
        ///  名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string Name { get; set; }

        /// <summary>
        ///  类型
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public LocationType TypeNum { get; set; }

        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long ConfigId { get; set; }
    }
}
