﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    [Tenant("sx")]
    [SugarTable("sys_job", "定时任务表")]
    public class sxSysJob : BaseModel
    {
        [SugarColumn(ColumnName = "code", Length = 200)]
        public string Code { get; set; }
        [SugarColumn(ColumnName = "name", Length = 200)]
        public string Name { get; set; }
        [SugarColumn(ColumnName = "cron_expression", Length = 100)]
        public string CronExpression { get; set; }
        [SugarColumn(ColumnName = "trigger_description", Length = 100, IsNullable = true)]
        public string TriggerDescription { get; set; }
        [SugarColumn(ColumnName = "job_description", Length = 100, IsNullable = true)]
        public string JobDescription { get; set; }
        [SugarColumn(ColumnName = "job_group_name", Length = 200, IsNullable = true)]
        public string JobGroupName { get; set; }
        [SugarColumn(ColumnName = "job_type", Length = 100, IsNullable = true)]
        public string JobType { get; set; }
        [SugarColumn(ColumnName = "trigger_name", Length = 100, IsNullable = true)]
        public string TriggerName { get; set; }
        [SugarColumn(ColumnName = "trigger_group_name", Length = 100, IsNullable = true)]
        public string TriggerGroupName { get; set; }
        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsStop { get; set; }
    }
}
