﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.pt
{
    public class ProductionBackRequest:BaseRequest
    {
        /// <summary>
        /// 单号
        /// </summary>
        public string BillCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
        /// <summary>
        /// 退料盘条信息列表
        /// </summary>
        public List<ProductionBackRequestItem> ListInfo { get; set; }
    }
    public class ProductionBackRequestItem
    {
        /// <summary>
        /// RFID
        /// </summary>
        public string RFID { get; set; }
        /// <summary>
        /// 炉号
        /// </summary>
        public string BoilerNo { get; set; }
        /// <summary>
        /// 包号
        /// </summary>
        public string PackNo { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 位置码
        /// </summary>
        public string LocCode { get; set; }
        /// <summary>
        /// 状态(正常/锁定：Normal/Lock)
        /// </summary>
        public string State { get; set; }
    }
}
