﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.pt
{
    public class PtSyncMaterInfoListRequest : BaseRequest
    {
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string MatName { get; set; }
        public string MatShortDesc { get; set; }
        public string MatFullDesc { get; set; }
        public string MatExtDesc { get; set; }
        public string MatEnName { get; set; }
        public string LeafTypeCode { get; set; }
        public string LeafTypeName { get; set; }
        public string MidTypeCode { get; set; }
        public string MidTypeName { get; set; }
        public string HeadTypeCode { get; set; }
        public string HeadTypeName { get; set; }
        public string Describe { get; set; }
        public string Texture { get; set; }
        public string FigureNo { get; set; }
        public string ComCode { get; set; }
        public string ComName { get; set; }
        public string CalcUnit { get; set; }
        public string StockUnit { get; set; }
        /// <summary>
        /// 是否启用时效
        /// </summary>
        public bool IsHold { get; set; }
        /// <summary>
        /// 时效时长
        /// </summary>
        public decimal HoldDuration { get; set; }
        public string WeightUnit { get; set; }
        public decimal Weight { get; set; }
        public string UpdatedTime { get; set; }
    }

}
