﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.sx
{
    public class CurStockListRequest
    {
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string MatName { get; set; }
        /// <summary>
        /// 是否异常料
        /// </summary>
        public bool IsError { get; set; }
        /// <summary>
        /// 是否余料
        /// </summary>
        public bool IsLeft { get; set; }
        /// <summary>
        /// 请求条数
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public int Count { get; set; }
        /// <summary>
        /// 当前页
        /// </summary>
        public int PageIndex { get; set; }
        /// <summary>
        /// 每页条数
        /// </summary>
        public int PageSize { get; set; }
    }
}
