﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.sx
{
    public class PackInfoTrans:BaseRequest
    {
        /// <summary>
        /// 包装代码
        /// </summary>
        public string PackCode { get; set; }
        public List<PackInfoTransItem> ListInfo { get; set; }
        /// <summary>
        /// 包装描述
        /// </summary>
        public string PackDesc { get; set; }
        /// <summary>
        /// 包装方式代码
        /// </summary>
        public string PackMethodCode { get; set; }
        /// <summary>
        /// 包装方式
        /// </summary>
        public string PackMethod { get; set; }
        /// <summary>
        /// 工字轮型号
        /// </summary>
        public string Spool { get; set; }
        /// <summary>
        /// 工字轮标准数量
        /// </summary>
        public string SpoolNum { get; set; }
        /// <summary>
        /// 空工字轮数量
        /// </summary>
        public string EmptySpoolNum { get; set; }
        /// <summary>
        /// 每箱层数量
        /// </summary>
        public string LayersNum { get; set; }
        /// <summary>
        /// 每层工字轮数量
        /// </summary>
        public string LayersSpoolNum { get; set; }

    }
    public class PackInfoTransItem
    {
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 物料描述
        /// </summary>
        public string MatName { get; set; }
        /// <summary>
        /// 数量
        /// </summary>
        public int Count { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        public string UnitName { get; set; }

        /// <summary>
        /// 物料单重
        /// </summary>
        public decimal Weight { get; set; }
    }
}
