﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.sx
{
    public class SKUInfoTransRequest:BaseRequest
    {


        /// <summary>
        /// sku编码
        /// </summary>
        public string SkuCode { get; set; }
        /// <summary>
        /// SKU描述
        /// </summary>
        public string SkuDesc { get; set; }

        /// <summary>
        /// 有无焊点(有/无 - 1/0)
        /// </summary>
        public string SolderJoint { get; set; }
        /// <summary>
        /// 控制扭转
        /// </summary>
        public string ControlTorsion { get; set; }
        /// <summary>
        /// 包装组
        /// </summary>
        public string PackGroup { get; set; }
        public List<SKUInfoTransRequestItem> ListInfo { get; set; }
    }

    public class SKUInfoTransRequestItem
    {
        /// <summary>
        /// 分类代号
        /// </summary>
        public string TypeCode { get; set; }
        /// <summary>
        /// 分类描述
        /// </summary>
        public string TypeName { get; set; }

        /// <summary>
        /// 参数代号
        /// </summary>
        public string FieldCode { get; set; }
        /// <summary>
        /// 参数描述
        /// </summary>
        public string FieldName { get; set; }
        /// <summary>
        /// 参数值
        /// </summary>
        public string FieldValue { get; set; }
        /// <summary>
        /// 参数单位
        /// </summary>
        public string FieldUnit { get; set; }
    }
}
