﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.sx
{
    public class StockChangeFeedBackRequest
    {

        /// <summary>
        /// 过账凭证号
        /// </summary>
        public string ReqId { get; set; }
        /// <summary>
        /// 单号
        /// </summary>
        public string BillCode { get; set; }

        public List<StockChangeFeedBackRequestItem> ListInfo { get; set; }
    }
    public class StockChangeFeedBackRequestItem
    {
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 工字轮条码
        /// </summary>
        public string SpoolCode { get; set; }
        /// <summary>
        /// 改判结果
        /// </summary>
        public string ResState { get; set; }
        /// <summary>
        /// 原因
        /// </summary>
        public string ResDesc { get; set; }
    }
}
