﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.sx
{
    public class SxApplyStockInLocRequest : BaseRequest
    {
        /// <summary>
        /// 任务号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public List<int> TaskNum { get; set; }
        /// <summary>
        /// 巷道号
        /// </summary>
        public int TunnelNum { get; set; }
        /// <summary>
        /// 楼层
        /// </summary>
        public int Floor { get; set; }

        //[Required(ErrorMessage = "{0} 不可为空")]
        //public string PickUpEquipmentNo { get; set; }
    }
}
