﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.sx
{
    public class TorsChkinfoRequest
    {
    }
    public class TorsChkStationbindeRequest
    {
        /// <summary>
        /// 工字轮编号
        /// </summary>
        public string? Code { get; set; }
        public string TaskNo { get; set; }
        /// <summary>
        /// 扭转机台工位
        /// </summary>
        public string WorkStation { get; set; }
        /// <summary>
        /// 扭转机台号
        /// </summary>
        public string Machine { get; set; }
        /// <summary>
        /// 是否检测 1：屏蔽（不需要检测）；2：需要检测
        /// </summary>
        public string Memo1 { get; set; }
    }
    public class TorsChkErrorinfoRequest
    {
        /// <summary>
        /// 扭转机台
        /// </summary>
        public string Machine { get; set; }
        /// <summary>
        /// 扭转工位
        /// </summary>
        public string WorkStation { get; set; }
        public string ExcMessage { get; set; }
    }
    public class GetTorsChkinfoRequest
    {
        /// <summary>
        /// 任务号
        /// </summary>
        public int TaskNo { get; set; }
    }
    public class TorsChkValueRequest
    {
        /// <summary>
        /// 任务号
        /// </summary>
        public string TaskNo { get; set; }
        /// <summary>
        /// 弓高
        /// </summary>
        public string TorsChkChord { get; set; }
        /// <summary>
        /// 弓高是否合格
        /// </summary>
        public string TorsChkChordIsGood { get; set; }
        /// <summary>
        /// 平直度
        /// </summary>
        public string TorsChkFlatness { get; set; }
        /// <summary>
        /// 平直度是否合格
        /// </summary>
        public string TorsChkFlatnessIsGood { get; set; }
        /// <summary>
        /// 扭转值
        /// </summary>
        public string TorsChkValue { get; set; }
        /// <summary>
        /// 扭转值是否合格
        /// </summary>
        public string TorsChkValueIsGood { get; set; }
        /// <summary>
        /// 扭转机台工位
        /// </summary>
        public string TorsChkStation { get; set; }
        /// <summary>
        /// 扭转机台号
        /// </summary>
        public string TorsChkWb { get; set; }
        /// <summary>
        /// 操作账号
        /// </summary>
        public string? User { get; set; }
    }
    /// <summary>
    /// 上传mes扭转值
    /// </summary>
    public class TorsChkUploadMes
    {
        /// <summary>
        /// 工字轮条码
        /// </summary>
        public string SpoolCode { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 扭转值
        /// </summary>
        public decimal ChkVal { get; set; }
        /// <summary>
        /// 检测时间
        /// </summary>
        public string ChkTime { get; set; }
        /// <summary>
        /// 检测机台
        /// </summary>
        public string ChkMacCode { get; set; }
        /// <summary>
        /// 平直度
        /// </summary>
        public decimal Straight { get; set; }
        /// <summary>
        /// 弓高
        /// </summary>
        public decimal Bow { get; set; }
        /// <summary>
        /// 扭转检测成功（有结果true，无结果false）
        /// </summary>
        public bool OvcResult { get; set; } = true;
        /// <summary>
        /// 弓高检测成功（有结果true，无结果false）
        /// </summary>
        public bool BowResult { get; set; } = true;
        /// <summary>
        /// 平直度检测成功（有结果true，无结果false）
        /// </summary>
        public bool StraightResult { get; set; } = true;
    }
}
