﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.response.sx
{
    public class TorsChkResponse
    {
        /// <summary>
        /// 返回状态码
        /// </summary>
        public int ResCode { get; set; } = 200;
        /// <summary>
        /// 返回描述信息
        /// </summary>
        public string ResMsg { get; set; } = "成功";
        /// <summary>
        /// 高低卷 1:高卷；2.低卷
        /// </summary>
        public int GoodsType { get; set; }
        /// <summary>
        /// 直径
        /// </summary>
        public decimal Diameter { get; set; }
        /// <summary>
        /// 正反面
        /// </summary>
        public string Face { get; set; }
        /// <summary>
        /// 是否检测  1：屏蔽（不需要检测）；2：需要检测
        /// </summary>
        public int Isdetection { get; set; }
        public string Memo1 { get; set; }
        public string Memo2 { get; set; }
        public string Memo3 { get; set; }
    }
    public class TorschMesResponse
    {
        public string code { get; set; }
        public bool success { get; set; }
        public string message { get; set; }
        public dataitem data { get; set; }
    }
    public class dataitem
    {
        public string GradeCode { get; set; }
    }
}
