﻿using AutoMapper;
using System;
using System.Collections.Generic;
using System.Text;
using WCS.Entity.sx;
using wms.dto.request.fj;
using wms.dto.request.hj;
using wms.dto.request.hj.dto;
using wms.dto.request.share;
using wms.dto.request.sx;
using wms.dto.response;
using wms.dto.response.fj;
using wms.dto.response.hj;
using wms.dto.response.sx;
using wms.sqlsugar.model;
using wms.sqlsugar.model.cp;
using wms.sqlsugar.model.sx;

namespace wms.service.mapper
{
    public class WmsPrifile : Profile
    {
        public WmsPrifile()
        {
 
            //CreateMap<CopperLineRequest, HjMaterialStockInRequest>();
            //CreateMap<WetLineBackInApplyRequest, HjMaterialStockInRequest>();
            //CreateMap<SysJob, dto.response.hj.SysJobDto>();

            

            //CreateMap<BillPushinfo, ListInfo>()
            //    .ForMember(p => p.RFID, opt => opt.MapFrom(src => src.RFIDBarCode))
            //    .ForMember(p => p.MatCode, opt => opt.MapFrom(src => src.MatCode))
            //    .ForMember(p => p.MatBarCode, opt => opt.MapFrom(src => src.CLBarCode))
            //    .ForMember(p => p.TolWeight, opt => opt.MapFrom(src => src.TolWQty))
            //    .ForMember(p => p.NetWeight, opt => opt.MapFrom(src => src.NetWQty))
            //    .ForMember(p => p.TareWeight, opt => opt.MapFrom(src => src.TareWQty))
            //    .ForMember(p => p.LocCode, opt => opt.MapFrom(src => src.WareCellCode))
            //    .ForMember(p => p.WareCode, opt => opt.MapFrom(src => src.WarehouseCode))
            //    .ForMember(p => p.WareName, opt => opt.MapFrom(src => src.WarehouseCode));

            //CreateMap<BillPushinfo, WetLineBackInFeedBackRequestItem>()
            //    .ForMember(p => p.RFID, opt => opt.MapFrom(src => src.RFIDBarCode))
            //    .ForMember(p => p.MatBarCode, opt => opt.MapFrom(src => src.CLBarCode))
            //    .ForMember(p => p.MatCode, opt => opt.MapFrom(src => src.MatCode))
            //    .ForMember(p => p.Weight, opt => opt.MapFrom(src => src.NetWQty))
            //    .ForMember(p => p.LocCode, opt => opt.MapFrom(src => src.WareCellCode))
            //    .ForMember(p => p.WareCode, opt => opt.MapFrom(src => src.WarehouseCode))
            //    .ForMember(p => p.WareName, opt => opt.MapFrom(src => "合金库"));

            ////定时任务模块映射
            //CreateMap<AddJobRequest, SysJob>();
            //CreateMap<JobApiRelation, SysJobApiRelation>();
            //CreateMap<SysJobApiRelation, JobApiRelation>();

            //CreateMap<TunnelStatusEntity, TunnelStatusEntity>();

            //CreateMap<HJSyncMaterInfoListRequestItem, HJSyncMaterInfoResponseItem>();
            //CreateMap<FJSyncMaterInfoListRequestItem, FJSyncMaterInfoResponseItem>();
            //CreateMap<FJSyncMaterInfoListRequestItem, BaseMatinfo>();
            //CreateMap<HJSyncMaterInfoListRequestItem, BaseMatinfo>()
            //     .ForMember(p => p.Code, opt => opt.MapFrom(src => src.MatCode))
            //    .ForMember(p => p.Name, opt => opt.MapFrom(src => src.MatName))
            //    .ForMember(p => p.ShortDesc, opt => opt.MapFrom(src => src.Describe))
            //    .ForMember(p => p.Leafcode, opt => opt.MapFrom(src => src.LeafTypeCode))
            //    .ForMember(p => p.LeafName, opt => opt.MapFrom(src => src.LeafTypeCode))
            //    .ForMember(p => p.HeadCode, opt => opt.MapFrom(src => src.HeadTypeCode))
            //    .ForMember(p => p.Description, opt => opt.MapFrom(src => src.Describe))
            //    .ForMember(p => p.AddTime, opt => opt.MapFrom(src => DateTime.Now))
            //    .ForMember(p => p.IsHold, opt => opt.MapFrom(src => src.IsHold))
            //    .ForMember(p => p.HoldDuration, opt => opt.MapFrom(src => src.HoldDuration))
            //    .ForMember(p => p.WeightUnit, opt => opt.MapFrom(src => src.WeightUnit))
            //    ;


            CreateMap<UpdateMaterEntity, UpdateMaterEntity>();
       
            CreateMap<ExportModel, ExportModel>();

            CreateMap<MaterInfo, MaterInfo>();

            CreateMap<FJSyncMaterInfoListRequestItem, FJSyncMaterInfoResponseItem>();
            CreateMap<FJSyncMaterInfoResponseItem, wms.sqlsugar.model.fj.BaseMatinfo>()
                .ForMember(p => p.Code, opt => opt.MapFrom(src => src.MatCode))
                .ForMember(p => p.Name, opt => opt.MapFrom(src => src.MatName))
                .ForMember(p => p.ShortDesc, opt => opt.MapFrom(src => src.Describe))
                .ForMember(p => p.ProCode, opt => opt.MapFrom(src => src.ProCode))
                .ForMember(p => p.ProName, opt => opt.MapFrom(src => src.ProName))
                .ForMember(p => p.ProStre, opt => opt.MapFrom(src => src.ProStre))
                .ForMember(p => p.LinearMax, opt => opt.MapFrom(src => src.LinearMax))
                .ForMember(p => p.LinearMin, opt => opt.MapFrom(src => src.LinearMin))
                .ForMember(p => p.LinearTar, opt => opt.MapFrom(src => src.LinearTar))
                .ForMember(p => p.Plating, opt => opt.MapFrom(src => src.Plating))
                .ForMember(p => p.Mono, opt => opt.MapFrom(src => src.Mono))
                .ForMember(p => p.PlatingWeight, opt => opt.MapFrom(src => src.PlatingWeight))
                .ForMember(p => p.Description, opt => opt.MapFrom(src => src.Describe))
                .ForMember(p => p.AddTime, opt => opt.MapFrom(src => DateTime.Now))
                .ForMember(p => p.IsHold, opt => opt.MapFrom(src => src.IsHold))
                .ForMember(p => p.HoldDuration, opt => opt.MapFrom(src => src.HoldDuration))

                ; ;

            
            CreateMap<wms.sqlsugar.model.fj.BillPushinfo, WetProductStockInFeedBackRequestItem>();
            CreateMap<SxSyncMaterInfoRequestItem, wms.sqlsugar.model.sx.BaseMatinfo>()
              .ForMember(p => p.Code, opt => opt.MapFrom(src => src.MatCode))
              .ForMember(p => p.Name, opt => opt.MapFrom(src => src.MatName))
              .ForMember(p => p.ShortDesc, opt => opt.MapFrom(src => src.Describe))
              //.ForMember(p => p.HeadCode, opt => opt.MapFrom(src => src.HeadTypeCode))
              //.ForMember(p => p.Leafcode, opt => opt.MapFrom(src => src.LeafTypeCode))
              //.ForMember(p => p.Strength, opt => opt.MapFrom(src => src.Strength))
              //.ForMember(p => p.PlatingContQty, opt => opt.MapFrom(src => src.PlatingConQty))
              //.ForMember(p => p.Linear, opt => opt.MapFrom(src => src.Linear))
              .ForMember(p => p.Plating, opt => opt.MapFrom(src => src.Plating))
              ////.ForMember(p => p.WeightUnit, opt => opt.MapFrom(src => src.WeightUnit))
              .ForMember(p => p.PlatingWeight, opt => opt.MapFrom(src => src.PlatingWeight))
              .ForMember(p => p.Description, opt => opt.MapFrom(src => src.Describe))
              .ForMember(p => p.AddTime, opt => opt.MapFrom(src => DateTime.Now))
              .ForMember(p => p.IsHold, opt => opt.MapFrom(src => src.IsHold))
              //.ForMember(p => p.SpoolCode, opt => opt.MapFrom(src => src.Spool))
              //.ForMember(p => p.SpoolType, opt => opt.MapFrom(src => src.SpoolDesc))
              .ForMember(p => p.Length, opt => opt.MapFrom(src => src.Length))
              .ForMember(p => p.HoldDuration, opt => opt.MapFrom(src => src.HoldDuration));

            #region 时效
            CreateMap<WCS_TaskOld, WCS_TaskInfo>();
            CreateMap<WCS_TaskInfo, WCS_TaskOld>();
            CreateMap<BillInvflow, BillInvnow>();
            CreateMap<BillInvflow, BillInvinit>();
            CreateMap<BillInvnow, BillInvflow>();
            CreateMap<BillInvinit, BillInvnow>();
            CreateMap<BillInvnow, BillInvinit>();

            CreateMap<BillPushinfo, ListInfo>()
                .ForMember(p => p.SpoolCode, opt => opt.MapFrom(src => src.HWBarCode))
                .ForMember(p => p.MatBarCode, opt => opt.MapFrom(src => src.CLBarCode))
                .ForMember(p => p.LocCode, opt => opt.MapFrom(src => src.WareCellCode));

            CreateMap<BillPushinfo, SXProductStockInFeedBackRequestItem>()
                .ForMember(p => p.SpoolCode, opt => opt.MapFrom(src => src.RFIDBarCode))
                .ForMember(p => p.MatBarCode, opt => opt.MapFrom(src => src.CLBarCode))
                .ForMember(p => p.LocCode, opt => opt.MapFrom(src => src.WareCellCode));

            CreateMap<BillPushinfo, MoveStockLocationFeedBackRequestItem>()
                .ForMember(p => p.SpoolCode, opt => opt.MapFrom(src => src.RFIDBarCode))
                .ForMember(p => p.MatBarCode, opt => opt.MapFrom(src => src.CLBarCode))
                .ForMember(p => p.StartLoc, opt => opt.MapFrom(src => src.WareCellCode))
                .ForMember(p => p.EndLoc, opt => opt.MapFrom(src => src.RodBarCode));

            CreateMap<sxSysJob, dto.response.hj.SysJobDto>();
            CreateMap<ApplyStockInLocResponse, ApplyStockInLocResponse>();
            CreateMap<Palletizingdetail, PalletinfoDetail>()
                .ForMember(p => p.HWBarCode, opt => opt.MapFrom(src => src.BarCode))
                .ForMember(p => p.Sku, opt => opt.MapFrom(src => src.Sku))
                .ForMember(p => p.MachineGroupcode, opt => opt.MapFrom(src => src.WbGroupCode))
                .ForMember(p => p.GradeCode, opt => opt.MapFrom(src => src.GradeCode))
                .ForMember(p => p.OvcValue, opt => opt.MapFrom(src => src.OvcValue))
                .ForMember(p => p.OvcFlag, opt => opt.MapFrom(src => src.OvcFlag))
                .ForMember(p => p.MaterialCode, opt => opt.MapFrom(src => src.MaterialCode))
                .ForMember(p => p.MaterialDesc, opt => opt.MapFrom(src => src.MaterialDesc))
                .ForMember(p => p.BadpointCount, opt => opt.MapFrom(src => src.SolderCount))
                .ForMember(p => p.IsBlack, opt => opt.MapFrom(src => src.IsBlack))
                .ForMember(p => p.IsControlpanel, opt => opt.MapFrom(src => src.IsControlpanel))
                .ForMember(p => p.InDocsNo, opt => opt.MapFrom(src => src.InDocsNo))
                .ForMember(p => p.Batch, opt => opt.MapFrom(src => src.Batch))
                .ForMember(p => p.Winding, opt => opt.MapFrom(src => src.Winding))
                .ForMember(p => p.PalletizingDate, opt => opt.MapFrom(src => src.PalletizingDate))
                .ForMember(p => p.Layer, opt => opt.MapFrom(src => src.Layer))
                .ForMember(p => p.EquNo, opt => opt.MapFrom(src => src.EquNo))
                .ForMember(p => p.TolWQty, opt => opt.MapFrom(src => src.TolWQty))
                .ForMember(p => p.TareWQty, opt => opt.MapFrom(src => src.TareWQty))
                .ForMember(p => p.NetWQty, opt => opt.MapFrom(src => src.NetWQty))
                .ForMember(p => p.CLBarCode, opt => opt.MapFrom(src => src.CLBarCode));
            CreateMap<BillInvflow, Bill_InvflowHty>();
            CreateMap<Palletizing, PalletizingHty>(); 
            CreateMap<BillPushinfo, BillPushinfoHty>();
            CreateMap<BillPboxrule, BillPboxruleHty>().ForMember(dest => dest.PackJsonContent, opt => opt.Ignore()); ;

            #endregion
        }
    }
}
