﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.fj
{
    [Tenant("fj")]
    [SugarTable("Base_UnitRate")]
    public partial class BaseUnitrate
    { 

        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// FromUnitId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long FromUnitId { get; set; }

        /// <summary> 
        /// RateQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="numeric" , Length = 18  , IsNullable = false )]
        public decimal RateQty { get; set; }

        /// <summary> 
        /// ToUnitId
        /// </summary> 
        [SugarColumn(ColumnDataType ="nchar" , Length = 10  , IsNullable = false )]
        public string ToUnitId { get; set; }


    }
}

