﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.pt
{
    [Tenant("pt")]
    [SugarTable("Base_Warehouse", "仓库表")]
    public class ptBaseWarehouse : BaseModel
    {
        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsStop { get; set; }

        /// <summary> 
        /// Code
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string Code { get; set; }

        /// <summary> 
        /// Name
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string Name { get; set; }

        /// <summary> 
        /// TypeNum
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int TypeNum { get; set; }

        /// <summary> 
        /// ConfigId
        /// </summary> 
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long ConfigId { get; set; }
    }
}
