﻿using SqlSugar;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  异常信息表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Base_ErrorInfo")]
    public partial class BaseErrorinfo : BaseModel
    {

        /// <summary>
        /// 工字轮条码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string ContBarCode { get; set; }

        /// <summary>
        ///  异常描述信息
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", IsNullable = true)]
        public string Message { get; set; }
        /// <summary>
        /// 次数
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = true)]
        public int Count { get; set; }
    }
}
