﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  单位信息
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Base_UnitInfo")]
    public partial class BaseUnitinfo
    { 

        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsStop { get; set; }

        /// <summary> 
        /// Code
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string Code { get; set; }

        /// <summary> 
        /// Name
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = false )]
        public string Name { get; set; }

        /// <summary> 
        /// UnitGrpId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long UnitGrpId { get; set; }

        /// <summary> 
        /// Memo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 500  , IsNullable = true )]
        public string Memo { get; set; }

        /// <summary> 
        /// AddWho
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string AddWho { get; set; }

        /// <summary> 
        /// AddTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime AddTime { get; set; }

        /// <summary> 
        /// EditWho
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string EditWho { get; set; }

        /// <summary> 
        /// EditTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime EditTime { get; set; }


    }
}

