﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  临时箱流水号表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Bill_BoxSerial")]
    public class BillBoxSerial : BaseModel
    {
        /// <summary>
        /// 年
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 10, IsNullable = false)]
        public string Year { get; set; }

        /// <summary>
        /// 月
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 10, IsNullable = false)]
        public string Month { get; set; }

        /// <summary>
        /// 日
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 10, IsNullable = false)]
        public string Day { get; set; }

        /// <summary>
        /// 序号
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Num { get; set; }

        /// <summary>
        /// 箱号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string BoxNum { get; set; }

        /// <summary>
        /// 等级
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 10, IsNullable = false)]
        public string Grade { get; set; }
    }
}
