﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  SKU信息
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Bill_SkuInfo")]
    public class BillSkuInfo : BaseModel
    {
        /// <summary>
        /// sku编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string SkuCode { get; set; }
        /// <summary>
        /// 分类代号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string TypeCode { get; set; }
        /// <summary>
        /// 分类描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string TypeName { get; set; }

        /// <summary>
        /// 参数代号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string FieldCode { get; set; }
        /// <summary>
        /// 参数描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string FieldName { get; set; }
        /// <summary>
        /// 参数值
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string FieldValue { get; set; }
        /// <summary>
        /// 参数单位
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string FieldUnit { get; set; }
    }
}
