﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  扭转机台分配数量表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("TorschWbCount")]
    public partial class TorschWbCount : BaseModel
    {
        /// <summary>
        /// 扭转机台号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string Code { get; set; }
        /// <summary>
        /// 已分配的任务数
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int WbCount { get; set; }
    }
}
